ALTER TABLE SBI_CROSS_NAVIGATION ADD COLUMN DESCRIPTION VARCHAR(200) NULL DEFAULT NULL,
								 ADD COLUMN BREADCRUMB VARCHAR(200) NULL DEFAULT NULL;

								 
-- NEWS Functionality
CREATE TABLE SBI_NEWS (
	ID INT NOT NULL,
	NAME VARCHAR(200) DEFAULT NULL,
	DESCRIPTION VARCHAR(400) DEFAULT NULL,
	ACTIVE BOOLEAN,
	NEWS VARCHAR(4000) DEFAULT NULL,
	MANUAL BOOLEAN,
	EXPIRATION_DATE TIMESTAMP NULL DEFAULT NULL,
	USER_IN VARCHAR(100) NOT NULL,
	USER_UP VARCHAR(100) DEFAULT NULL,
	USER_DE VARCHAR(100) DEFAULT NULL,
	TIME_IN TIMESTAMP NOT NULL,
	TIME_UP TIMESTAMP NULL DEFAULT NULL,
	TIME_DE TIMESTAMP NULL DEFAULT NULL,
	SBI_VERSION_IN VARCHAR(10) DEFAULT NULL,
	SBI_VERSION_UP VARCHAR(10) DEFAULT NULL,
	SBI_VERSION_DE VARCHAR(10) DEFAULT NULL,
	META_VERSION VARCHAR(100) DEFAULT NULL,
	ORGANIZATION VARCHAR(20) DEFAULT NULL,
	CATEGORY_ID INT DEFAULT NULL,
	PRIMARY KEY (ID),
	CONSTRAINT FK_SBI_NEWS_SBI_DOMAINS_1 FOREIGN KEY (CATEGORY_ID) REFERENCES SBI_DOMAINS (VALUE_ID) ON DELETE NO ACTION ON UPDATE NO ACTION
) WITHOUT OIDS;


CREATE TABLE SBI_NEWS_ROLES (
	NEWS_ID INT NOT NULL,
	EXT_ROLE_ID INT NOT NULL,
	PRIMARY KEY (NEWS_ID,EXT_ROLE_ID),
	CONSTRAINT FK_SBI_NEWS_ROLES_SBI_EXT_ROLES_1 FOREIGN KEY (EXT_ROLE_ID) REFERENCES SBI_EXT_ROLES (EXT_ROLE_ID) ON DELETE NO ACTION ON UPDATE NO ACTION,
	CONSTRAINT FK_SBI_NEWS_ROLES_SBI_NEWS_1 FOREIGN KEY (NEWS_ID) REFERENCES SBI_NEWS (ID) ON DELETE CASCADE ON UPDATE NO ACTION
) WITHOUT OIDS;


CREATE TABLE SBI_NEWS_READ (
	ID INT NOT NULL,
	USER_ID VARCHAR(100) NOT NULL,
	NEWS_ID INT NOT NULL,
	USER_IN VARCHAR(100) NOT NULL,
	USER_UP VARCHAR(100) DEFAULT NULL,
	USER_DE VARCHAR(100) DEFAULT NULL,
	TIME_IN TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
	TIME_UP TIMESTAMP NULL DEFAULT NULL,
	TIME_DE TIMESTAMP NULL DEFAULT NULL,
	SBI_VERSION_IN VARCHAR(10) DEFAULT NULL,
	SBI_VERSION_UP VARCHAR(10) DEFAULT NULL,
	SBI_VERSION_DE VARCHAR(10) DEFAULT NULL,
	META_VERSION VARCHAR(100) DEFAULT NULL,
	ORGANIZATION VARCHAR(20) DEFAULT NULL,
	PRIMARY KEY (ID),
	CONSTRAINT FK_SBI_NEWS_READ_SBI_NEWS_1 FOREIGN KEY (NEWS_ID) REFERENCES SBI_NEWS (ID) ON DELETE CASCADE ON UPDATE NO ACTION
) WITHOUT OIDS;
-- NEWS Functionality End


ALTER TABLE SBI_CROSS_NAVIGATION ADD CONSTRAINT XAK1SBI_CROSS_NAVIGATION UNIQUE (NAME, ORGANIZATION);

